summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Ruppert <idl0r@gentoo.org>2009-05-09 18:21:03 +0000
committerChristian Ruppert <idl0r@gentoo.org>2009-05-09 18:21:03 +0000
commit5394eb5d291471fa31aeb943babd62ea5927d74c (patch)
tree68691a4d1cada02b6457575362ef97a3d94d6c0f /app-misc
parentDrop message about kanyremote (diff)
downloadsunrise-5394eb5d291471fa31aeb943babd62ea5927d74c.tar.gz
sunrise-5394eb5d291471fa31aeb943babd62ea5927d74c.tar.bz2
sunrise-5394eb5d291471fa31aeb943babd62ea5927d74c.zip
Use EPI 2. Use src_configure instead of src_compile. sed and domanimproved, readability.
(Portage version: 2.2_rc33/svn/Linux x86_64) svn path=/sunrise/; revision=8507
Diffstat (limited to 'app-misc')
-rw-r--r--app-misc/heyu/ChangeLog4
-rw-r--r--app-misc/heyu/Manifest4
-rw-r--r--app-misc/heyu/heyu-2.6.0.ebuild59
3 files changed, 39 insertions, 28 deletions
diff --git a/app-misc/heyu/ChangeLog b/app-misc/heyu/ChangeLog
index ea9424f6a..de2e88e12 100644
--- a/app-misc/heyu/ChangeLog
+++ b/app-misc/heyu/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 09 May 2009; Christian Ruppert <idl0r@gentoo.org> heyu-2.6.0.ebuild:
+ Use EPI 2. Use src_configure instead of src_compile. sed and
+ domanimproved, readability.
+
04 May 2009; Sven Schwyn (svoop) <gentoo@bitcetera.com> -files/2.5.0,
-heyu-2.5.0.ebuild, +heyu-2.6.0.ebuild, -files/2.5.0/heyu.init,
+files/heyu.init:
diff --git a/app-misc/heyu/Manifest b/app-misc/heyu/Manifest
index d9f3040c3..edf685566 100644
--- a/app-misc/heyu/Manifest
+++ b/app-misc/heyu/Manifest
@@ -1,5 +1,5 @@
AUX heyu.init 423 RMD160 96dd75247188abdb8847807863c1cf2952c54279 SHA1 aac324ffc55a7ec20055ce5af6340372a892b853 SHA256 aee16c73a380015858137f7bbc0f1944727ddd82403bc7b2734d291855d0a9a9
DIST heyu-2.6.0.tgz 518189 RMD160 22918f6c70c54f5754e1f04a02e9a38a0a5d24ac SHA1 18f6cccb6a98519da077814d26ab1b59960df514 SHA256 1284e793520d2e152d9d7032f6727e72fbaaf7c4f4eaf9abea2b85eed090b0d2
-EBUILD heyu-2.6.0.ebuild 3306 RMD160 ad8ecc5ff3121d87274470d3c50998912ba3b646 SHA1 7686b48d0cd98761ae32ab74035d366f5ec4e7a8 SHA256 01d4e026f1264b0793e00a23053cbc3b0abbf8e475b921cc9a10132451e2066f
-MISC ChangeLog 1469 RMD160 6932d13cf49dc9074226faeea7c420c412cae3ed SHA1 24c596ba1044aff2e68c2a9d9a2e17b8d6fe7aca SHA256 222e35240c04b2be91894925335cd2341d6eea89a7a22d4c31cd6b5a53c813c2
+EBUILD heyu-2.6.0.ebuild 2896 RMD160 efebfdc4c1a1406f13a8f09e94a6cec4ed43ed70 SHA1 eef723524e001eddf1e18001f1abc7fb63a0e06c SHA256 2d1f5caeff41eb5c283ed6528de73eb9d2f4d03d7b2164280daa341d93601273
+MISC ChangeLog 1634 RMD160 44f695a74f68121fa6b46e1d1e56352d5f483225 SHA1 9da18bfbfbbae5e9d26a5872cea927da728abc54 SHA256 d1e9dc7a7640f85d41f77ea8b19f82f700e21e1ff059b3b512539c9bcc89e4bd
MISC metadata.xml 1225 RMD160 9cc4a306989b21aadc2c46cbe77b49d94f5f7531 SHA1 01b5d2dfc5446f495689a0d1a8357982464e54fb SHA256 9b9ac8546a69802b4de3818d06e98c4738485d6634fb6375f087cb1ae2853a07
diff --git a/app-misc/heyu/heyu-2.6.0.ebuild b/app-misc/heyu/heyu-2.6.0.ebuild
index baf28b499..a6ea970e7 100644
--- a/app-misc/heyu/heyu-2.6.0.ebuild
+++ b/app-misc/heyu/heyu-2.6.0.ebuild
@@ -2,9 +2,11 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
+EAPI="2"
+
inherit eutils toolchain-funcs
-DESCRIPTION="Utility to control and program CM11A, CM17A and CM12U X10 interfaces."
+DESCRIPTION="Utility to control and program CM11A, CM17A and CM12U X10 interfaces"
HOMEPAGE="http://heyu.tanj.com"
SRC_URI="http://heyu.tanj.com/download/${P}.tgz"
@@ -18,41 +20,46 @@ pkg_setup() {
enewuser ${PN} -1 -1 /var/lib/${PN} "${PN},uucp"
}
-src_compile() {
+src_configure() {
mv x10config.sample x10.conf.sample
- "${S}"/Configure \
- $(use kernel_FreeBSD && echo "freebsd") \
- $(use kernel_Darwin && echo "darwin") \
- $(use kernel_linux && echo "linux") \
- $(use cm17a || echo "-nocm17a") \
- $(use dmx210 || echo "-nodmx") \
- $(use ext0 || echo "-noext0") \
- $(use ore || echo "-noore") \
- $(use rfxm || echo "-norfxm") \
- $(use rfxs || echo "-norfxs") \
+ ./Configure \
+ $(use kernel_FreeBSD && echo "freebsd") \
+ $(use kernel_Darwin && echo "darwin") \
+ $(use kernel_linux && echo "linux") \
+ $(use cm17a || echo "-nocm17a") \
+ $(use dmx210 || echo "-nodmx") \
+ $(use ext0 || echo "-noext0") \
+ $(use ore || echo "-noore") \
+ $(use rfxm || echo "-norfxm") \
+ $(use rfxs || echo "-norfxs") \
|| die "configure failed"
- sed -i "s/CC\s*=.*/CC = $(tc-getCC)/" "${S}"/Makefile || die "adjustment of CC failed"
- sed -i "s/CFLAGS\s*=.*/CFLAGS = ${CFLAGS} \$(DFLAGS)/" "${S}"/Makefile || die "adjustment of CFLAGS failed"
- sed -i -r 's%^(DFLAGS.+)-DSYSBASEDIR=\\"[^\]+\\"%\1%' "${S}"/Makefile || die "removing DSYSBASEDIR from DFLAGS failed"
- sed -i -r 's%^(DFLAGS\s*=\s*)%\1-DSYSBASEDIR=\\"/var/lib/heyu\\" %' "${S}"/Makefile || die "adding DSYSBASEDIR to DFLAGS failed"
- sed -i -r 's%^(DFLAGS.+)-DSPOOLDIR=\\"[^\]+\\"%\1%' "${S}"/Makefile || die "removing DSPOOLDIR from DFLAGS failed"
- sed -i -r 's%^(DFLAGS\s*=\s*)%\1-DSPOOLDIR=\\"/var/lib/heyu\\" %' "${S}"/Makefile || die "adding DSPOOLDIR to DFLAGS failed"
- sed -i -r 's%^(DFLAGS.+)-DLOCKDIR=\\"[^\]+\\"%\1%' "${S}"/Makefile || die "removing DLOCKDIR from DFLAGS failed"
- sed -i -r 's%^(DFLAGS\s*=\s*)%\1-DLOCKDIR=\\"/var/lock\\" %' "${S}"/Makefile || die "adding DLOCKDIR to DFLAGS failed"
- sed -i -r 's%(LOG_DIR.*?)NONE%\1/var/log/heyu%' "${S}"/x10.conf.sample || die "changing LOG_DIR failed"
- emake || die "make failed"
+
+ sed -i -r -e "s/CC\s*=.*/CC = $(tc-getCC)/" \
+ -e "s/CFLAGS\s*=.*/CFLAGS = ${CFLAGS} \$(DFLAGS)/" \
+ -e 's%^(DFLAGS.+)-DSYSBASEDIR=\\"[^\]+\\"%\1%' \
+ -e 's%^(DFLAGS\s*=\s*)%\1-DSYSBASEDIR=\\"/var/lib/heyu\\" %' \
+ -e 's%^(DFLAGS.+)-DSPOOLDIR=\\"[^\]+\\"%\1%' \
+ -e 's%^(DFLAGS\s*=\s*)%\1-DSPOOLDIR=\\"/var/lib/heyu\\" %' \
+ -e 's%^(DFLAGS.+)-DLOCKDIR=\\"[^\]+\\"%\1%' \
+ -e 's%^(DFLAGS\s*=\s*)%\1-DLOCKDIR=\\"/var/lock\\" %' Makefile \
+ || die "adjusting Makefile failed"
+
+ sed -i -r 's%(LOG_DIR.*?)NONE%\1/var/log/heyu%' x10.conf.sample || die "changing LOG_DIR failed"
}
src_install() {
dobin heyu || die "installing binary failed"
- doman heyu.1 x10config.5 x10scripts.5 x10sched.5 || die "installing man pages failed"
- newinitd "${FILESDIR}"/heyu.init heyu
+ doman heyu.1 x10{config,scripts,sched}.5 || die "installing man pages failed"
+ newinitd "${FILESDIR}"/heyu.init heyu || die "newinitd failed"
+
insinto /etc/heyu
doins x10.*.sample || die "installing config samples failed"
+
diropts -m 0750 -o heyu
dodir /var/log/heyu || die "creating log directory failed"
- dosym /etc/heyu/x10.conf /var/lib/heyu/x10.conf
- dosym /etc/heyu/x10.sched /var/lib/heyu/x10.sched
+
+ dosym /etc/heyu/x10.conf /var/lib/heyu/x10.conf || die "dosym failed"
+ dosym /etc/heyu/x10.sched /var/lib/heyu/x10.sched || die "dosym failed"
}
pkg_postinst() {